package main

import (
	"log"
	"os"
)

func main() {
	if err := closeit(); err != nil {
		log.Fatal(err)
	}
}

// section: func
func closeit() error {
	f, err := os.Create("foo")
	if err != nil {
		return err
	}
	defer f.Close()

	if _, err := f.Write([]byte("bar")); err != nil {
		return err
	}

	if err := f.Close(); err != nil {
		return err
	}
	return nil
}

// section: func
